Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002252TestLinkRequirement Managementpublic2009-03-19 14:322009-05-11 15:54
Reportersatyendra 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.8.1 
Summary0002252: Error message displayed when Assign Requirement.
DescriptionDo the following steps
1- Create Requirement.
2- Click Assign Requirement
3- Select Requirements Specification Document from dropdown
4- Select checkbox and click Assign Button.
following error displayed
Fatal error: require_once() [function.require]: Failed opening required 'tlAttachmentRepository.class.php' (include_path='.;C:\php5\pear;.;E:\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\') in E:\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\common.php on line 109

please see attached screen.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesdoc file icon testlink error.doc [^] (234,496 bytes) 2009-03-19 14:32
? file icon common.php [^] (30,423 bytes) 2009-03-27 19:39

- Relationships
has duplicate 0002310closed Assigning a testcase to a requirement 
has duplicate 0002460closedmhavlat When tries to Assign Requirements to Test Cases "A Blank Page Appears on Right Side" 

-  Notes
(0005924)
fman (administrator)
2009-03-20 17:11

Add following line:
// Needed to use extends tlObjectWithAttachments, If not present autoload fails.
require_once( dirname(__FILE__) . '/attachments.inc.php');

 on
requirement_mgr.class.php

before
class requirement_mgr extends tlObjectWithAttachments
{


let us know
(0006042)
satyendra (reporter)
2009-03-27 19:39

when i change code then following error displayed.
Parse error: parse error in E:\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\common.php on line 113

Please find attached file
(0006065)
xfreme (reporter)
2009-03-30 17:45

Thanks to fman! Next string works OK for me: require_once( dirname(__FILE__) . '/attachments.inc.php');
(0006234)
trickyarcher (reporter)
2009-04-07 04:14

Added fman's changes and they eliminated the error message and generated a new error message:

ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1 - SELECT * FROM req_coverage WHERE req_id IN (163) AND testcase_id IN ()

THE MESSAGE :: SQL [9] executed [took 0.0061 secs][all took 0.0121 secs]: SELECT * FROM req_coverage WHERE req_id IN (163) AND testcase_id IN () Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
(0006244)
fman (administrator)
2009-04-07 15:39

update to 1.8.1 and retest
(0006255)
trickyarcher (reporter)
2009-04-08 02:12
edited on: 2009-04-08 21:34

Update may have helped. I was still receiving the error message until I assigned a prefix to the Test Project.

All is well now.

Yes. My apologies. This issue is closed.

(0006263)
fman (administrator)
2009-04-08 16:09

on 1.8 test case prefix in mandatory.
Then: we can close this issue ?

- Issue History
Date Modified Username Field Change
2009-03-19 14:32 satyendra New Issue
2009-03-19 14:32 satyendra File Added: testlink error.doc
2009-03-20 17:09 fman Status new => assigned
2009-03-20 17:09 fman Assigned To => fman
2009-03-20 17:11 fman Note Added: 0005924
2009-03-20 17:11 fman Status assigned => feedback
2009-03-24 16:40 fman Status feedback => resolved
2009-03-24 16:40 fman Fixed in Version => 1.8.1 (bug fixes)
2009-03-24 16:40 fman Resolution open => fixed
2009-03-27 19:39 satyendra Status resolved => assigned
2009-03-27 19:39 satyendra Resolution fixed => reopened
2009-03-27 19:39 satyendra Note Added: 0006042
2009-03-27 19:39 satyendra File Added: common.php
2009-03-30 12:48 xfreme Note Added: 0006063
2009-03-30 17:45 xfreme Note Added: 0006065
2009-03-30 17:45 xfreme Note Deleted: 0006063
2009-03-31 18:57 amitkhullar Relationship added has duplicate 0002310
2009-04-07 04:14 trickyarcher Note Added: 0006234
2009-04-07 15:39 fman Note Added: 0006244
2009-04-08 02:12 trickyarcher Note Added: 0006255
2009-04-08 16:09 fman Note Added: 0006263
2009-04-08 21:34 trickyarcher Note Edited: 0006255
2009-04-30 18:47 mhavlat Relationship added has duplicate 0002460
2009-05-02 22:21 fman Status assigned => resolved
2009-05-02 22:21 fman Resolution reopened => fixed
2009-05-11 15:54 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker